Subject: Re: bug#27647: 26.0.50; Line numbers implemented natively disappear momentarily when frame out of focus

From: jonas <[email-masked]>
Date: Thu, 5 Oct 2017 15:03:32 +0200

Unfortunately, no. The issue is consistent, but I had difficulties 
creating a detailed recipe for it.

For me, the issue was limited to flycheck-pos-tip which interacts with 
the windowing system through the pos-tip package. No modification of 
display-line-numbers took place.

I ended up replacing the package with flycheck-popup-tip, which displays 
its information inside an emacs buffer, and the problem disappeared. So 
at a glance the issue seem to be deeper than just being config-related, 
but I am not knowledgeable enough to draw any real conclusions.

On 2017-10-05 14:40, Kaushal Modi wrote:
> On Wed, Jul 19, 2017 at 2:10 PM Eli Zaretskii <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     I thought about that, but I'm afraid it could cause an infinite series
>     of unrelated hits, each time Kaushal switches between buffers.  It may
>     make editing impractical.
>
>     But if I'm mistaken, why not?
>
>
> Hi Eli, Noam,
>
> As you know from my other thread, I am unable to use gdb. As I don't 
> know enough C to hack it myself, can you provide pointers to where I 
> can put print statements or something like that in the C code directly 
> to help with this debug?
>
> Another thing, debbugs seems to have stopped emailing the bug authors!
>
> Emails sent to just this debbugs don't reach me, like this reply[1] or 
> this[2]. Can you guys please CC me on further replies?
>
> @Jonas: Any luck creating a recipe for this?
>
> @Eli: This problem is consistent, though not consistent enough to yet 
> create a recipe. But it does happen at least once a day. I am still 
> sticking on to native line numbers and not giving up. Can this be 
> please made a blocker for 26.1?
>
>
> [1]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27647#38
> [2]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27647#39
> -- 
>
> Kaushal Modi
>